Bug 781706 - Review Request: perl-String-CamelCase - Convert underscore_text to CamelCase and back
Summary: Review Request: perl-String-CamelCase - Convert underscore_text to CamelCase ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL: http://search.cpan.org/dist/String-Ca...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-01-14 14:43 UTC by Iain Arnell
Modified: 2012-02-12 22:52 UTC (History)
3 users (show)

Fixed In Version: perl-String-CamelCase-0.02-1.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-02-12 22:52:25 UTC
panemade: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Iain Arnell 2012-01-14 14:43:47 UTC
Spec URL: http://fedorapeople.org/~iarnell/review/perl-String-CamelCase.spec
SRPM URL: http://fedorapeople.org/~iarnell/review/perl-String-CamelCase-0.02-1.fc17.src.rpm

Description:
This module exports two functions to convert underscore_text to CamelCase and
back again.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=3677776

*rt-0.10_02

Comment 1 Parag AN(पराग) 2012-02-02 05:51:03 UTC
Review:-

+ koji build (f17) -> http://koji.fedoraproject.org/koji/taskinfo?taskID=3754346

+ rpmlint on rpms gave
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

+ License is valid

+ source verified with upstream as (sha1sum)
39878678c5d85d34a9d7c63830f184cac23db43f  String-CamelCase-0.02.tar.gz
39878678c5d85d34a9d7c63830f184cac23db43f  ../SOURCES/String-CamelCase-0.02.tar.gz

+ make test gave
All tests successful.
Files=6, Tests=32,  1 wallclock secs ( 0.04 usr  0.01 sys +  0.18 cusr  0.04 csys =  0.27 CPU)

+ Package perl-String-CamelCase-0.02-1.fc17.noarch =>
Provides: perl(String::CamelCase) = 0.02
Requires: perl(Exporter) perl(base) perl(strict) perl(warnings)

+ Follows packaging guidelines.

APPROVED.

Comment 2 Iain Arnell 2012-02-02 05:58:53 UTC
New Package SCM Request
=======================
Package Name: perl-String-CamelCase
Short Description: Convert underscore_text to CamelCase and back
Owners: iarnell
Branches: f15 f16
InitialCC: perl-sig

Comment 3 Gwyn Ciesla 2012-02-02 07:46:24 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2012-02-03 05:30:23 UTC
perl-String-CamelCase-0.02-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/perl-String-CamelCase-0.02-1.fc16

Comment 5 Fedora Update System 2012-02-03 05:30:32 UTC
perl-String-CamelCase-0.02-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/perl-String-CamelCase-0.02-1.fc15

Comment 6 Fedora Update System 2012-02-04 05:28:28 UTC
perl-String-CamelCase-0.02-1.fc15 has been pushed to the Fedora 15 testing repository.

Comment 7 Fedora Update System 2012-02-12 22:52:25 UTC
perl-String-CamelCase-0.02-1.fc15 has been pushed to the Fedora 15 stable repository.

Comment 8 Fedora Update System 2012-02-12 22:52:33 UTC
perl-String-CamelCase-0.02-1.fc16 has been pushed to the Fedora 16 stable repository.


Note You need to log in before you can comment on or make changes to this bug.